%define upstream_name    List-BinarySearch
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pure-Perl Binary Search functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
A binary search searches *sorted* lists using a divide and conquer
technique. On each iteration the search domain is cut in half, until the
result is found. The computational complexity of a binary search is O(log
n).

The binary search algorithm implemented in this module is known as a
_Deferred Detection_ variant on the traditional Binary Search. Deferred
Detection provides *stable searches*. Stable binary search algorithms have
the following characteristics, contrasted with their unstable binary search
cousins:

* * In the case of non-unique keys, a stable binary search will always
  return the lowest-indexed matching element.  An unstable binary search
  would
  return the first one found, which may not be the chronological first.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml README Changes META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.250.0-5.mga8
+ Revision: 1495380
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.250.0-4.mga7
+ Revision: 1268888
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-3.mga6
+ Revision: 1029177
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.250.0-2.mga6
+ Revision: 966180
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.250.0-1.mga6
+ Revision: 842891
- Importing List-BinarySearch


* Sat Jun 20 2015 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
